FOREIGN_MIRIAD_READ(3)

FUNCTION
foreign_miriad_read - Read a Miriad image file.

SYNOPSIS
#include <karma_foreign.h>

multi_array * foreign_miriad_read

(CONST char *dirname, flag sanitise, ...)

DESCRIPTION
Read a Miriad image file.

dirname
    The directory name of the Miriad dataset name.

sanitise
    If TRUE, Miriad axes with length 1 are ignored. This is highly recommended.

... The optional attributes are given as pairs of attribute-key attribute-value pairs. This list must be terminated with FA_MIRIAD_READ_END. See <-foreign_ATT_MIRIAD_READ-> for a list of defined attributes.

RETURN VALUE
A multi_array descriptor on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/